package com.yihaomen.mosquitto_starter;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.yihaomen.mosquitto_starter.handler.MosquittoMsgReceiver;

@Configuration
@ConditionalOnBean(annotation = EnableMosquittoConfigure.class)
@EnableConfigurationProperties(MosquittoProperties.class)
public class MosquittoAutoConfigure {
	
	@Bean
	public MosquittoMsgReceiver getMosquittoReceiver() {		
		return new MosquittoMsgReceiver();		
	}

}
